#include<iostream>
using namespace std;
int main(){
long long n;
cin>>n;
long long arr=0, sum2=1;
if(n%2==0){
    for(long long i=0; i<n/2; i++){

            if(i!=0){
                for(long long u=0; u<1; u++){
                    sum2=sum2*10;
                }
            }

        if(i==0){
            arr+=1;
        }else{
            arr+=sum2;
        }
    }
    cout<<arr;
}

long long sum=1;

if(n%2!=0 && n!=1){
    for(long long j=0; j<(n-1)/2; j++){

            if(j!=0){
                for(long long y=0; y<1; y++){
                    sum=sum*10;
                }
            }

        if(j==0){
            arr+=1;
        }else{
            if(j!=(n-1)/2-1){
                arr+=sum;
            }else{
                arr+=7*sum;
            }
        }
    }
    cout<<arr;
    sum=0;
}


long long g=-1;
if(n<2){
    cout<<g<<endl;
}

return 0;
}
